Package net.shibboleth.idp.plugin.authn.webauthn.metadata.impl

# Class PasskeyAaguidMetadataService

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.metadata.impl.PasskeyAaguidMetadataService

public class PasskeyAaguidMetadataService extends Object
A service that looks up icons and descriptions about passkey providers (authenticators) from a map. Mostly, software authenticators that do not exist in the FIDO Metadata Service feed.

Is only used for display purposes. Can not be used for trust.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Map<String,AaguidEntry>`
`metadata`
The metadata.

## Constructor Summary

Constructors
Constructor
Description
`PasskeyAaguidMetadataService(Map<String,AaguidEntry> mtdata)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AaguidEntry`
`getEntry(com.yubico.fido.metadata.AAGUID aaguid)`
Get a metadata entry based on the AAGUID.
`AaguidEntry`
`getEntry(String aaguid)`
Get a metadata entry based on the AAGUID as a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### metadata

@Nonnull private final Map<String,AaguidEntry> metadata
The metadata.

## Constructor Details

### PasskeyAaguidMetadataService

public PasskeyAaguidMetadataService(@Nonnull Map<String,AaguidEntry> mtdata)
Constructor.

Parameters:
  `mtdata` - the map of authenticator attestation GUID to entry.

## Method Details

### getEntry

@Nullable public AaguidEntry getEntry(@Nullable String aaguid)
Get a metadata entry based on the AAGUID as a string. It must be in the correct 36-character string representation for the lookup to succeed.

Parameters:
  `aaguid` - the 36-character string AAGUID
Returns:
  an AAGUID entry, or null if not found.

### getEntry

@Nullable public AaguidEntry getEntry(@Nullable com.yubico.fido.metadata.AAGUID aaguid)
Get a metadata entry based on the AAGUID.

Parameters:
  `aaguid` - the AAGUID of the authenticator/provider
Returns:
  an AAGUID entry, or null if not found.